Skip to main content
GET
/
tokenization
/
contracts
/
{assetId}
/
{contractAddress}
TypeScript
const response: Promise<FireblocksResponse<DeployedContractResponseDto>> = fireblocks.deployedContracts.getDeployedContractByAddress(deployedContractsApiGetDeployedContractByAddressRequest);
{
  "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
  "contractAddress": "0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66",
  "contractTemplateId": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
  "blockchainId": "<string>",
  "vaultAccountId": "0",
  "baseAssetId": "ETH_TEST5",
  "gaslessConfig": {
    "gaslessStandardConfigurations": {}
  },
  "multichainDeploymentMetadata": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "address": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
    "templateId": "0e4f5a3b-924e-7bb9-8e5b-c748270feb38",
    "deploymentSalt": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
    "initParams": [
      {
        "name": "_name",
        "type": "string",
        "description": "The name of the token",
        "internalType": "string",
        "components": [
          {
            "name": "_name",
            "type": "string",
            "description": "The name of the token",
            "internalType": "string",
            "components": "<array>"
          }
        ],
        "value": "true",
        "functionValue": {
          "inputs": "<array>",
          "name": "initialize",
          "outputs": "<array>",
          "stateMutability": "nonpayable"
        }
      }
    ],
    "encodedInitParams": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef"
  },
  "solanaConfig": {
    "extensions": [
      "metadataPointer",
      "transferHook"
    ],
    "type": "TOKEN2022"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractAddress
string
required

The contract's onchain address

assetId
string
required

Response

id
string
required

The deployed contract data identifier

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

contractAddress
string
required

The contract's onchain address

Example:

"0xC2c4e1Db41F0bB97996D0eD0542D2170d146FB66"

contractTemplateId
string
required

The contract template identifier

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

blockchainId
string
required
vaultAccountId
string

The vault account id this contract was deploy from

Example:

"0"

baseAssetId
string

The blockchain base assetId

Example:

"ETH_TEST5"

gaslessConfig
object

The gasless configuration of the contract

multichainDeploymentMetadata
object

The multichain deployment metadata

solanaConfig
object

The Solana configuration of the contract